Connect to Straumur
Saves Straumur credentials for the current user.
POST
/v1/hq/integrations/straumur/connectAuthorization
BearerTokenAuth
AuthorizationBearer <token>
The Noona HQ API uses Bearer token for authentication.
Endpoints that return generic information that does not contain sensitive data do not require authentication. Endpoints that require authentication are specifically marked in the documentation.
Authorization: Bearer your-token
In: header
Query Parameters
select?array<string>
expand?array<string>
Request Body
application/json
api_key*string
Straumur API key
merchant_id*string
Straumur merchant ID
Response Body
application/json
curl -X POST "https://api.noona.is/v1/hq/integrations/straumur/connect" \ -H "Content-Type: application/json" \ -d '{ "api_key": "string", "merchant_id": "string" }'{
"connected": true
}Empty
Empty
Empty
Empty